net.corda.node.services.statemachine

## Class WaitForLedgerCommit

- net.corda.node.services.statemachine.WaitForLedgerCommit

- All Implemented Interfaces:
    FlowIORequest, WaitingRequest

      public class WaitForLedgerCommit
      implements WaitingRequest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WaitForLedgerCommit(SecureHash hash, FlowStateMachineImpl<?> fiber)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecureHash` | `component1()`
    `FlowStateMachineImpl<?>` | `component2()`
    `WaitForLedgerCommit` | `copy(SecureHash hash, FlowStateMachineImpl<?> fiber)`
    `boolean` | `equals(java.lang.Object p)`
    `FlowStateMachineImpl<?>` | `getFiber()`
    `SecureHash` | `getHash()`
    `StackSnapshot` | `getStackTraceInCaseOfProblems()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface net.corda.node.services.statemachine.FlowIORequest

      `getStackTraceInCaseOfProblems`

- - ### Constructor Detail

    - #### WaitForLedgerCommit

          public WaitForLedgerCommit(SecureHash hash,
                                     FlowStateMachineImpl<?> fiber)

  - ### Method Detail

    - #### getStackTraceInCaseOfProblems

          public StackSnapshot getStackTraceInCaseOfProblems()

    - #### getHash

          public SecureHash getHash()

    - #### getFiber

          public FlowStateMachineImpl<?> getFiber()

    - #### component1

          public SecureHash component1()

    - #### component2

          public FlowStateMachineImpl<?> component2()

    - #### copy

          public WaitForLedgerCommit copy(SecureHash hash,
                                          FlowStateMachineImpl<?> fiber)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)